# GetAccountResource

Query the resource information of an account(bandwidth,energy,etc).

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `address` - String - <mark style="color:red;">Required</mark> - Address to be queried. Address should be in base58checksum, hexString, or base64 format. Example `TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g`
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

| Parameter            | Type                | Description                                                          |
| -------------------- | ------------------- | -------------------------------------------------------------------- |
| freeNetUsed          | int64               | Free bandwidth used                                                  |
| freeNetLimit         | int64               | Total free bandwidth                                                 |
| NetUsed              | int64               | Used amount of bandwidth obtained by staking                         |
| NetLimit             | int64               | Total bandwidth obtained by staking                                  |
| TotalNetLimit        | int64               | Total bandwidth can be obtained by staking by the whole network      |
| TotalNetWeight       | int64               | Total TRX staked for bandwidth by the whole network                  |
| totalTronPowerWeight | int64               | The total amount of voting rights obtained by the whole network      |
| tronPowerLimit       | int64               | TRON Power(vote)                                                     |
| tronPowerUsed        | int64               | TRON Power(vote) used                                                |
| EnergyUsed           | int64               | Energy used                                                          |
| EnergyLimit          | int64               | Total energy obtained by staking                                     |
| TotalEnergyLimit     | int64               | Total energy can be obtained by staking by the whole network         |
| TotalEnergyWeight    | int64               | Total TRX staked for energy by the whole network                     |
| assetNetUsed         | map\<string, int64> | The amount of free bandwidth of each TRC10 asset used by the account |
| assetNetLimit        | map\<string, int64> | The amount of free bandwidth for each TRC10 asset in the account     |

```json
// Result
{
  "freeNetLimit": 600,
  "TotalNetLimit": 43200000000,
  "TotalNetWeight": 356260866660,
  "TotalEnergyLimit": 180000000000,
  "TotalEnergyWeight": 12774894240
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getaccountresource \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}
